HomeHome ArchiveArchive

Taxme 2006 auf Debian lenny (testing)

  • Damit Taxme 2006 funktioniert, musste ich Blackdown’s j2re1.4 installieren, man bekommt es hier. Einfach

    deb http://sunsite.cnlab-switch.ch/ftp/mirror/java-linux/debian testing non-free
    

    in /etc/apt/sources.list eintragen. Offenbar ist Taxme nicht kompatibel mit 1.5er oder 1.6er JRE’s.

  • Damit die Hilfe im Taxme 2006 erscheint, musste ich:
    • das Paket libxul0d installieren (welches /usr/lib/xulrunner/libgtkembedmoz.so enthält, welches Taxme benötigt)
    • das folgende Startscript schreiben:

      #!/bin/sh
      # offenbar braucht SWT libgtkembedmoz, welches
      # TaxMe2006: z.B. in libxul0d in /usr/lib/xulrunner/ liegt
      #            siehe http://www.aptana.com/docs/index.php/Installing_Aptana_Milestone_7_on_Linux#Other_Linux_Distributions
      #                  http://dev.eclipse.org/newslists/news.eclipse.platform.swt/msg22648.html
      #
      export MOZILLA_FIVE_HOME=
      export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/xulrunner/
      cd TaxMeBe2006
      ./TaxMeBe2006
      
    • Das Problem ist nur, dass zwar die Hilfe erscheint, der Index sichtbar ist, aber, wie weiter unten bei der Kurzhilfe der Hilfetext selbst leer bleibt. Tips?
  • Die Kurzhilfe scheint nicht zu funktionieren. Tips?